// C means algorithm
// ------------------------------------------
exec SCIHOME/ScIntro.sce, mode(0)

m=2;                                    // fuzzy coefficient
x=[1.2 2.5 6.5 7.8 9.3]                 // data
c=[4 5]'                               // initial centers

for ite=1:50                            // loop of iterations
  printf('Iteration -- %d\n',ite)

// recomputation of weights
  for i=1:2
    for j=1:5
      s=0;
      for k=1:2
        s=s+(abs(x(j)-c(i)))**(m/(m-1)); // membership function
      end
      u(i,j)=1/s;
    end
  end
  u=u./(ones(2,1)*sum(u,1));            // normalization
  
  // construction of centers
  cOld=c;
  c=(u*x')./sum(u,2)

  if sum(abs(c-cOld))<.01               // test for end 
    break
  end
end
printf('\n')
cFinal=c
