function z=kerfx(y,x,v)
  // Gaussian kernel density of data y at x
  // v    variance
  // x    argument of the kernel
  // y    data

  n=length(y);
  h=1.06*sqrt(v)/n^(1/5);
  z=0;
  for t=1:n
    z=z+GaussN(x,y(t),h^2);
  end
  z=z/n;
//  pause
endfunction
