// model_2.sce
// Estimation of categorical model
// -------------------------------------
clc,clear,close,mode(0)

// simulation
nd=200;                  // number of data
p=[.3 .1 .6];            // model parameters
for t=1:nd
  y(t)=sum(cumsum(p)<rand(1,1,'u'))+1; // data
end

// estimation
n=zeros(1,length(p));    // initial statistics
for t=1:nd
  n(y(t))=n(y(t))+1;     // statistics update
end
pE=n/sum(n)              // point estimates
