// model_3.sce
// Estimation of binomial model
// -------------------------------------
clc,clear,close,mode(0)

// simulation
nd=200;                  // number of data
p=.3;                    // model parameter
N=5;                     // maximum value of y
for t=1:nd
  y(t)=sum(rand(1,N,'u')<p); // data
end

// estimation
S=0;                     // intial
ka=0;                    //   statistics
for t=1:nd
  S=S+y(t);              // update of
  ka=ka+1;               //    statistics
end
pE=S/(N*ka)              // point estimates
