function v=histd(x,s,r)
  // v    histogram of x (discrete)
  //      with interupted values on x axis
  // x    data
  // s    all points on axis x (incl. zeros before and after)
  // r \in (0,1) - width of the columns
  if argn(2)<3, r=.8; end
  if argn(2)<2 
    vx=vals(x);
    s=vx(1,:); 
  end
  minx=min(s);
  maxx=max(s);
  v=vals(x);
  s=minx:maxx;
  h=zeros(s);     
  h(v(1,:)-minx+1)=v(2,:);
  bar(s,h,r)
endfunction
